package org.seasar.security.authentication.impl;

import java.io.Serializable;
import java.security.Principal;

import org.seasar.framework.util.ArrayUtil;
import org.seasar.security.authentication.AuthenticationContext;

/**
 * @author t-wada
 */
public class SerializableAuthenticationContext implements Serializable,AuthenticationContext {
    private static final long serialVersionUID = -7677838129984922935L;
    private boolean authenticated_;
    private String name_;
    private String[] roleNames_;
    
    public SerializableAuthenticationContext(String userName) {
        this.name_ = userName;
    }
    public boolean isUserInRole(String roleName) {
        return ArrayUtil.contains(this.roleNames_, roleName);
    }
    public Principal getUserPrincipal() {
        return new Principal() {
            public String getName() {
                return name_;
            }
        };
    }
    public boolean isAuthenticated() {
        return this.authenticated_;
    }
}
