package org.seasar.security.authorization;

import org.aopalliance.intercept.MethodInvocation;
import org.seasar.framework.aop.interceptors.AbstractInterceptor;
import org.seasar.security.authentication.AuthenticationContext;
import org.seasar.security.authentication.AuthenticationContextResolver;

/**
 * @author t-wada
 */
public class AuthenticatedAccessOnlyInterceptor extends AbstractInterceptor {
    private AuthenticationContextResolver contextResolver_;
    
    public void setAuthenticationContextResolver(AuthenticationContextResolver contextResolver) {
        this.contextResolver_ = contextResolver;
    }
    
    public Object invoke(MethodInvocation invocation) throws Throwable {
        AuthenticationContext authContext = getResolver().resolve();
        if(authContext.isAuthenticated()) {
            return invocation.proceed();
        } else {
            throw new SNotAuthenticatedException("EANA0004", invocation.getThis(), authContext);
        }
    }

    private AuthenticationContextResolver getResolver() {
        return this.contextResolver_;
    }
    
}
