package org.seasar.security.authorization;

import java.util.List;

import org.aopalliance.intercept.MethodInvocation;
import org.seasar.security.authentication.AuthenticationContext;

/**
 * @author t-wada
 */
public class DenyInterceptor extends AbstractAuthorizationInterceptor {
    public DenyInterceptor() {
    }
    public DenyInterceptor(String roleName) {
        addRoleName(roleName);
    }
    public DenyInterceptor(List roleNames) {
        addRoleNames(roleNames);
    }
    
    protected Object ifInRole(MethodInvocation invocation, AuthenticationContext authContext, String roleName) throws Throwable {
        throw new SAccessDeniedException("EANA0003",invocation.getThis(),authContext, roleName);
    }
    protected Object ifNotInRole(MethodInvocation invocation, AuthenticationContext authContext) throws Throwable {
        return invocation.proceed();
    }
}
