package org.seasar.security.authorization;

import java.util.List;

import org.aopalliance.intercept.MethodInvocation;
import org.seasar.security.authentication.AuthenticationContext;

/**
 * @author t-wada
 */
public class AllowInterceptor extends AbstractAuthorizationInterceptor {
    public AllowInterceptor() {
    }
    public AllowInterceptor(String roleName) {
        addRoleName(roleName);
    }
    public AllowInterceptor(List roleNames) {
        addRoleNames(roleNames);
    }
    
    protected Object ifInRole(MethodInvocation invocation, AuthenticationContext authContext, String roleName) throws Throwable {
        return invocation.proceed();
    }
    protected Object ifNotInRole(MethodInvocation invocation, AuthenticationContext authContext) throws Throwable {
        throw new SAccessDeniedException("EANA0002", invocation.getThis(), authContext);
    }
}
