package org.seasar.security.authorization;

import org.seasar.security.authentication.AuthenticationContext;

/**
 * @author t-wada
 */
public class SAccessDeniedException extends SAuthorizationException {
    private Object target_;
    private String roleName_;
    private AuthenticationContext authContext_;
    
    //TODO two constructors are duplicated 
    public SAccessDeniedException(String messageCode, Object target, AuthenticationContext authContext) {
        super(messageCode, new Object[]{target});
        this.target_ = target;
        this.authContext_ = authContext;
    }
    public SAccessDeniedException(String messageCode, Object target, AuthenticationContext authContext, String roleName) {
        super(messageCode, new Object[]{target, roleName});
        this.target_ = target;
        this.authContext_ = authContext;
        this.roleName_ = roleName;
    }
    public Object getTargetComponent() {
        return this.target_;
    }
    public AuthenticationContext getDeniedAuthenticationContext() {
        return this.authContext_;
    }
    public String getDeniedRoleName() {
        return this.roleName_;
    }
}
