package org.seasar.security.authentication.impl;

import org.seasar.security.authentication.AuthenticationContext;

import junit.framework.TestCase;

/**
 * @author t-wada
 */
public class NullAuthenticationContextTest extends TestCase {
    private AuthenticationContext authContext;
    
    protected void setUp() throws Exception {
        this.authContext = new NullAuthenticationContext();
    }
    
    public void testAsNonAuthenticatedUser() throws Exception {
        assertFalse(authContext.isAuthenticated());
    }
    
    public void testUseDefaultPrincipalName() throws Exception {
        assertEquals("unauthenticated user", authContext.getUserPrincipal().getName());
    }
}
