package org.seasar.security.authorization;

import org.seasar.extension.unit.S2TestCase;
import org.seasar.security.ana.sample.SampleBean;

/**
 * @author t-wada
 */
public class AllowInterceptorDiconTest extends S2TestCase {
    SampleBean authorizedOne_;
    
    
    public void setUpProceedOperationWhenAuthenticated() throws Exception {
        include("AuthorizationPassed.dicon");
    }
    public void testProceedOperationWhenAuthenticated() throws Exception {
        assertEquals("operated!", authorizedOne_.operate());
    }
    
    
    public void setUpThrowsSAccessDeniedExceptionIfNotAuthenticated() throws Exception {
        include("AuthorizationRejected.dicon");
    }
    public void testThrowsSAccessDeniedExceptionIfNotAuthenticated() throws Exception {
        try {
            // ## Act ##
            authorizedOne_.operate();
            
            // ## Assert ##
            fail("SAccessDeniedException should be thrown");
        } catch (SAccessDeniedException expected) {
        }
    }

    
    public AllowInterceptorDiconTest(String name) {
        super(name);
    }
}
