package org.seasar.security.authorization;

import org.seasar.extension.unit.S2TestCase;
import org.seasar.security.ana.sample.SampleBean;

/**
 * @author t-wada
 */
public class AuthenticatedAccessOnlyInterceptorDiconTest extends S2TestCase {
    SampleBean authorizedOne_;
    
    
    public void setUpThrowsSNotAuthenticatedExceptionIfNotAuthenticated() throws Exception {
        include("AuthenticatedAccessOnlyDenyCase.dicon");
    }
    public void testThrowsSNotAuthenticatedExceptionIfNotAuthenticated() throws Exception {
        try {
            // ## Act ##
            authorizedOne_.operate();
            
            // ## Assert ##
            fail("SNotAuthenticatedException should be thrown");
        } catch (SNotAuthenticatedException expected) {
        }
    }
    
    
    public void setUpAllowAccessIfAuthenticated() throws Exception {
        include("AuthenticatedAccessOnlyAllowCase.dicon");
    }
    public void testAllowAccessIfAuthenticated() throws Exception {
        assertEquals("operated!", authorizedOne_.operate());
    }
    
    
    public AuthenticatedAccessOnlyInterceptorDiconTest(String name) {
        super(name);
    }
}
